### Function

# Json Node new

#### Declaration [src]

    JsonNode*
    json_node_new (
      JsonNodeType type
    )

#### Description [src]

Creates a new node holding the given `type`.

This is a convenience function for `json_node_alloc()` and `json_node_init()`, and it’s the equivalent of:

       json_node_init (json_node_alloc (), type);

#### Parameters

`type` | `JsonNodeType`
| The type of the node to create.

#### Return value

Returns: | `JsonNode`
| The newly created node.
| The caller of the function takes ownership of the data, and is responsible for freeing it.